html{
	height:100%
}

body { 
	margin:0; font-family:sans-serif; 

	padding-bottom: 50px;
}

body::after { 
	background: url(/image/evtec_logaccess-logo.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
	content: "";
	opacity: 0.2;
	position: fixed;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	z-index: -1;   
	width:auto;
	height: 100%;
	max-width: 1000px;
	margin: auto;
}


/* === header bar === */


#evtec_bar {
	background: #222;
	color: #fff;
	/* padding: 10px; */
	display: flex;
	justify-content:space-between;
	align-items: center;
	z-index: 1000;
}

/*
#evtec_bar a {
	color:#4ea3ff;
	margin-left: 5px;
	margin-right: 5px;
}
*/

#evt_bar_logo{
	padding-left: 5px;	
}

.evt_inline_logo {
	display: inline-block;
}

.evt_inline_logotext {
	display: inline-block;
	font-weight: bold;
	font-variant: small-caps;
}

.evt_bar_spacer {
	margin-left: 10px;
	margin-right: 10px;
}

.evt_bar_charger {
	color: whitesmoke;
	font-size: 75%;
}

#evt_bar_whoami {
	margin-left: auto;
	padding: 5px;
}

#evt_bar_menu{
	float: right;
}

/* The container <div> - needed to position the dropdown content */
.evt_dropdown {
	position: relative;
	display: inline-block;
}

/* Dropdown Button */
.evt_dropbtn {
	background-color: #4ea3ff;
	color: white;
	border: none;
	padding: 10px;
	margin: 0px;
}

/* Dropdown Content (Hidden by Default) */
.evt_dropdown-content {
	display: none;
	position: absolute;
	background-color: #f1f1f1;
	min-width: 200px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
	right: 0;
}

/* Links inside the dropdown */
.evt_dropdown-content a {
	color:#4ea3ff;
	padding: 10px 5px;
	text-decoration: none;
	display: block;
}

/* Change color of dropdown links on hover */
.evt_dropdown-content a:hover {
	background-color: #ddd;
}

/* Show the dropdown menu on hover */
.evt_dropdown:hover .evt_dropdown-content {
	display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.evt_dropdown:hover .evt_dropbtn {
	background-color: white;
	color: #4ea3ff;
}



/* === footer === */

#evt_footer {
	margin-top: auto;
	
	margin: 0px;
	padding: 0px;
	display: flex;
	justify-content:space-between;
	align-items: center;
	
	position: fixed;
	bottom: 0;
	width: 100%;
	
	background-color: #222;
	color: white;
}

#evt_footer div {
	padding: 5px;
	font-size: 75%;
}

#evt_footer a {
	color: whitesmoke;
}

#evt_footer a:hover {
	color: #4ea3ff;
}

#evt_login {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    min-width: 50%;
	
	padding: 10px;
	background-color: white;
	box-shadow: 5px 5px 5px #dff5fe;
	border: solid 2px #009ddd;
	border-radius: 10px;
	
	align-content: center;
	text-align: center;
}

#evt_login h2 {
	/** text-align: center; **/
}

.evt_form_field {
	padding: 2px;
	margin: 2px;
}

.evt_form_field label {
	text-align: left !important;
	font-size: 0.75em;
	color: #009ddd;
}

.evt_form_field input{
	text-align: center;
	font-size: 1.5em;

	margin: 5px;
	
	border-radius: 5px;
	border: none;
	
	background-color: whitesmoke;
	width: 250px;
}

.evt_form_field input:focus {
	outline: none;
	background-color: #dff5fe;
	border: solid 0.5px #009ddd;
}

.evt_form_field input:read-only {
	color: grey;
}

.evt_form_field .evt_text_area{
	display: inline-block;
	
	text-align: center;
	font-size: 1em;

	padding: 2px;
	margin: 5px;
	width: 250px;
	
	border-radius: 5px;
	border: none;
	
	background-color: whitesmoke;

	color: grey;
}

.evt_form_field .evt_text_area div{
	padding: 2px;
}

#evt_login_buttons button, .evt_button{
	margin: 5px;
	padding: 5px;
	font-size; 1.5em;
	color: white;
	background-color: #009ddd;
	border-radius: 5px;
	border: none;
	font-weight: bold;
}

#evt_whoami_user {
	
}

#evt_whoami_kunde {
	color: whitesmoke;
	font-size: 75%;
}

.evt_chargers {
	display: flex;
	flex-wrap: wrap;
}

.evt_charger {
	position: relative;
	width: 200px;
	height: 300px;
	text-align: center;
	
	margin: 10px;
	
	border: solid 1px #009ddd;
	border-radius: 10px;
	
	background-color: whitesmoke;
}

.evt_charger div {
	display: block;
	margin-bottom: 1em;
}

.evt_charger_title {
	border-radius: 10px 10px 0px 0px;
	margin: none !important;
	padding: 5px;
	
	background-color: #009ddd;
	color: white;
	font-weight: bold;
	height: 1em;
}

.evt_charger_kennung {
	font-size: 80%;
}

.evt_charger_name {
	float: left;
	display: inline-block;
}

.evt_charger_edit {
	float: right;
	display: block;
	cursor: pointer;
	color: white;
}

.evt_charger_link {
	position: absolute;
	width: 100%;
	bottom: 0;
	margin: 0px !important;
	padding: 0px !important;
	
	cursor: pointer;	
	
	display: flex !important;
	justify-content: space-between;
}

.evt_charger_link_modal {
	background-color: whitesmoke;
	border-radius: 0px 0px 10px 10px;
	position: static;
	bottom: auto;
}

.evt_charger_link_inactive {
   pointer-events: none;
   cursor: default;
}

.evt_charger_inactive {
   opacity: 0.5;
}

.evt_charger_inaktiv {
	background: grey;
	opacity: 0.3;
	position: absolute;
	inset: 0;   
	border-radius: 10px;
	height: 100%;
}

.evt_charger_state {
	margin: 0px !important;

	padding: 5px;
	padding-left: 10px;
	text-align: left;
	
	color: grey;
}
.evt_charger_ip {
	margin: 0px !important;

	padding: 5px;
	padding-right: 10px;
	text-align: right;
}

.evt_charger_label {
	margin-top: 5px;
	margin-bottom: 2px;
	font-size: 60%;
	color: #009ddd;
}

.evt_charger_type {
	font-size: 80%;
}

.evt_charger_ort {
	font-size: 80%;
}

.evt_charger_commands {
	font-size: 150%;
}

.evt_charger_commands a {
	color: #009ddd;
}

.evt_charger_commands a:hover {
	color: red;
}

.evt_color {
	color: #009ddd;
}

.evt_charger_warning {
	color: #D10000;
	font-size: 75%;
	font-style: italic;
}

/* Gateways */

/* #575756 */

.evt_gateways {
	display: flex;
	flex-wrap: wrap;
}

.evt_gateway {
	position: relative;
	width: 300px;
	height: 400px;
	text-align: center;
	
	margin: 10px;
	
	border: solid 1px #009ddd;
	border-radius: 10px;
	
	background-color: whitesmoke;
}

.evt_gateway div {
	display: block;
	margin-bottom: 1em;
}

.evt_gateway_title {
	border-radius: 10px 10px 0px 0px;
	margin: none !important;
	padding: 5px;
	
	background-color: whitesmoke;
	color: #009ddd;
	font-weight: bold;
	height: 1em;
}

.evt_gateway_name {
	float: left;
	display: inline-block;
}

.evt_gateway_edit {
	float: right;
	display: block;
	cursor: pointer;
	color: #009ddd;
}

.evt_gateway_link {
	position: absolute;
	width: 100%;
	bottom: 0;
	margin: 0px !important;
	padding: 0px !important;
	
	cursor: pointer;	
}

.evt_gateway_link_inactive {
   pointer-events: none;
   cursor: default;
}

.evt_gateway_inaktiv {
	background: grey;
	opacity: 0.3;
	position: absolute;
	inset: 0;   
	border-radius: 10px;
	height: 100%;
}

.evt_gateway_ip {
	margin: 0px !important;

	padding: 5px;
	padding-right: 10px;
	float: right;
	display: inline !important;
}

.evt_gateway_state {
	margin: 0px !important;

	padding: 5px;
	padding-left: 10px;
	float: left;
	display: inline !important;
	
	color: grey;
}

.evt_gateway_label {
	margin-top: 5px;
	margin-bottom: 2px;
	font-size: 60%;
	color: #009ddd;
}

.evt_gateway_handshake {
	font-size: 80%;
}

.evt_gateway_traffic {
	font-size: 80%;
}

.evt_gateway_traffic span.label {
	color: #009ddd;
	font-size: 80%;
}

.evt_gateway_chargers {
	font-size: 80%;
}

.evt_gateway_chargers span {
	display: inline-block;
	cursor: pointer;
	background-color: rgba(0,158,221,0.2);
	border-radius: 3px;
	padding: 2px;
	padding-left: 4px;
	padding-right: 4px;
	margin: 1px;
}

.evt_gateway_chargers span.evt_notallowed {
	background-color: rgba(255,0,0,0.1);
	cursor: not-allowed;
}

.evt_gateway_type {
	font-size: 80%;
}

.evt_gateway_ort {
	font-size: 80%;
}

.evt_gateway_commands {
	font-size: 150%;
}

.evt_gateway_commands a {
	color: #009ddd;
}

.evt_gateway_commands a:hover {
	color: red;
}

.evt_devices {
	display: none;
}

.evt_device_table {
	width: 90%;
	border: solid 2px #009ddd;
	border-radius: 10px;
	
	margin: 10px;
}

.evt_devices table {
	width: 100%;
	border-collapse: collapse;
}

.evt_devices table th {
	background-color: #009ddd;
	color: white;
}

.online,.green {
	color: green;
}

.offline,.red {
	color: red;
}

.orange {
	color: orange;
}

.center {
	text-align: center;
	vertical-align: center;
}

#evt_password_validate {
	margin: 10px;
}

#evt_password_validate span {
	padding: 3px;
	margin: 0px;
	color: red;
	font-size: 75%;
	background-color: #FFE6E6;
	border-radius: 3px;
}

#evt_password_validate_ok {
	color: green !important;
	background-color: #E6FFE6 !important;
}

/*	modal box */

.evt_modal {
	display: none;
	position: fixed;
	z-index: 1;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.4);
}

/* Modal Content/Box */
.evt_modal_box {
	margin: 15% auto;
	min-width: 300px;
	width: 50%;
	/* height: 50%; */

	padding: 10px;
	background-color: white;
	/* box-shadow: 0px 0px 6px 6px #dff5fe; */
	border: solid 2px #009ddd;
	border-radius: 5px;
}

.evt_close {
	margin: 10px;
}

.evt_close:hover, .evt_close:focus {
	cursor: pointer;
}

#chg_geo, #chg_geo a {
	display: none;
	color: #009ddd;
}

.evt_password_toggle {
	display: inline;
	color: #009ddd;
}

.evt_password_toggle:hover {
	color: red;
}

.content_text {
	padding: 10px;
}
